| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Simple Functors
Numerical Utilities » Functor Objects

Simple functors implement standard mathematical expressions with a single parameter. More...

Collaboration diagram for Simple Functors:

## Detailed Description

Simple functors implement standard mathematical expressions with a single parameter.

The following simple functor types are implemented:

- `"sin"` (class Sin1), `"cos"` (class Cos1),
- `"exp"` (class Exp1), `"log"` (class Log1),
- `"pow"` (class Pow1),
- `"constant"` (class Const1).

## Classes
class | Sin1
| Implements the `sin()` function. More...
class | Cos1
| Implements the `cos()` function. More...
class | Exp1
| Implements the `exp()` (exponential) function. More...
class | Log1
| Implements the `log()` (natural logarithm) function. More...
class | Pow1
| Implements the `pow()` (power) function. More...
class | Const1
| Implements a constant. More...

## Functions
shared_ptr< Func1 > | newFunc1 (const string &func1Type, double coeff=1.)
| Create a new simple functor object (see Simple Functors).

## Function Documentation

## ◆ newFunc1()

shared_ptr< Func1 > newFunc1 | ( | const string & | func1Type,
|  | double | coeff = `1.`
| ) |  |

Create a new simple functor object (see Simple Functors).

Parameters

  func1Type | String identifying functor type.
  coeff | Coefficient; definition depends on functor type.

Since
  New in Cantera 3.0

Definition at line 145 of file Func1Factory.cpp.